require("flutter-tools").setup {
    ui = {
        border = "rounded",
        notification_style = 'native'
    },
    decorations = {
        statusline = {
            app_version = false,
            device = false,
            project_config = false,
        }
    },
    debugger = {
        enabled = false,
        run_via_dap = false,
        exception_breakpoints = {},
        --register_configurations = function(paths)
        --  require("dap").configurations.dart = {
        --    <put here config that you would find in .vscode/launch.json>
        --  }
        --end,
    },
    flutter_path = "/usr/bin/flutter",
    flutter_lookup_cmd = nil,
    root_patterns = { ".git", "pubspec.yaml" },
    fvm = false,
    widget_guides = {
        enabled = false,
    },
    closing_tags = {
        highlight = "Comment",
        prefix = "/ ",
        enabled = true,
    },
    dev_log = {
        enabled = true,
        notify_errors = false,
        open_cmd = "tabedit",
    },
    dev_tools = {
        autostart = false,
        auto_open_browser = false,
    },
    outline = {
        open_cmd = "30vnew",
        auto_open = false,
    },
    lsp = {
        color = {
            enabled = false,
            background = false,
            background_color = nil,
            foreground = false,
            virtual_text = false,
            virtual_text_str = "■",
        },
        settings = {
            showTodos = true,
            completeFunctionCalls = true,
            -- analysisExcludedFolders = { "<path-to-flutter-sdk-packages>" },
            renameFilesWithClasses = "prompt",
            enableSnippets = true,
            updateImportsOnRename = true,
        }
    }
}
